Exchange Capability
curl --request POST \
--url https://{deployment}/v1/capabilities/exchange \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"tool": "<string>",
"amount_minor": 1,
"resource_ref": "<string>",
"ttl_seconds": 150
}
'import requests
url = "https://{deployment}/v1/capabilities/exchange"
payload = {
"token": "<string>",
"tool": "<string>",
"amount_minor": 1,
"resource_ref": "<string>",
"ttl_seconds": 150
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
tool: '<string>',
amount_minor: 1,
resource_ref: '<string>',
ttl_seconds: 150
})
};
fetch('https://{deployment}/v1/capabilities/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/capabilities/exchange",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token' => '<string>',
'tool' => '<string>',
'amount_minor' => 1,
'resource_ref' => '<string>',
'ttl_seconds' => 150
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/capabilities/exchange"
payload := strings.NewReader("{\n \"token\": \"<string>\",\n \"tool\": \"<string>\",\n \"amount_minor\": 1,\n \"resource_ref\": \"<string>\",\n \"ttl_seconds\": 150\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/capabilities/exchange")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"token\": \"<string>\",\n \"tool\": \"<string>\",\n \"amount_minor\": 1,\n \"resource_ref\": \"<string>\",\n \"ttl_seconds\": 150\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/capabilities/exchange")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token\": \"<string>\",\n \"tool\": \"<string>\",\n \"amount_minor\": 1,\n \"resource_ref\": \"<string>\",\n \"ttl_seconds\": 150\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authority
Exchange Capability
A narrower token from a wider one, for a sub-agent.
Who may call it: an API key, or any role other than auditor.
POST
/
v1
/
capabilities
/
exchange
Exchange Capability
curl --request POST \
--url https://{deployment}/v1/capabilities/exchange \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"tool": "<string>",
"amount_minor": 1,
"resource_ref": "<string>",
"ttl_seconds": 150
}
'import requests
url = "https://{deployment}/v1/capabilities/exchange"
payload = {
"token": "<string>",
"tool": "<string>",
"amount_minor": 1,
"resource_ref": "<string>",
"ttl_seconds": 150
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
tool: '<string>',
amount_minor: 1,
resource_ref: '<string>',
ttl_seconds: 150
})
};
fetch('https://{deployment}/v1/capabilities/exchange', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{deployment}/v1/capabilities/exchange",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'token' => '<string>',
'tool' => '<string>',
'amount_minor' => 1,
'resource_ref' => '<string>',
'ttl_seconds' => 150
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{deployment}/v1/capabilities/exchange"
payload := strings.NewReader("{\n \"token\": \"<string>\",\n \"tool\": \"<string>\",\n \"amount_minor\": 1,\n \"resource_ref\": \"<string>\",\n \"ttl_seconds\": 150\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{deployment}/v1/capabilities/exchange")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"token\": \"<string>\",\n \"tool\": \"<string>\",\n \"amount_minor\": 1,\n \"resource_ref\": \"<string>\",\n \"ttl_seconds\": 150\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{deployment}/v1/capabilities/exchange")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"token\": \"<string>\",\n \"tool\": \"<string>\",\n \"amount_minor\": 1,\n \"resource_ref\": \"<string>\",\n \"ttl_seconds\": 150\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
bearerTokenapiKey
Body
application/json
Response
Successful Response
The response is of type Response Exchange Capability V1 Capabilities Exchange Post · object.
